{
	lib,
  config,
  inputs,
  pkgs,
  ...
}:

let

in
with lib;
{
  options = {
    waybar = {
      enable = mkEnableOption "enables waybar";
      configPath = lib.mkOption {
        type = lib.types.path;
        default = ./waybar.jsonc;
        description = "The path to the waybar config";
      };
      stylePath = lib.mkOption {
        type = lib.types.path;
        default = ./waybar-latte.css;
        description = "The path to the waybar config";
      };
    };
  };
  config = mkIf config.waybar.enable {
	  programs = {
		waybar = {
		  enable = true;
		  systemd = {
			enable = true;
		  };
		};
	  };
	  xdg.configFile."waybar/config.jsonc".source = config.waybar.configPath;
	  xdg.configFile."waybar/style.css".source = config.waybar.stylePath;
  };
  # catppuccin.waybar = {
  #   enable = true;
  #   flavor = "latte";
  # };
}
